## mingw-w64-qt6-3d-6.9.2-1.src.tar.zst

=== tests/manual/assimp-cpp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from assimp-cpp.pro.

#####################################################################
## assimp-cpp Binary:
#####################################################################

qt_internal_add_manual_test(assimp-cpp
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DRender
        Qt::Gui
        Qt::Widgets
)

## Scopes:
#####################################################################
